balance <- matrix(NA,ncol(judge.sq),4)
for(v in 1:ncol(judge.sq)){
balance[v,1] <- mean(judge.sq[judge[,4]==1,v])
balance[v,2] <- mean(judge.sq[judge[,4]==0,v])
balance[v,3] <- mean(judge.sq[id.treat,v])
balance[v,4] <- mean(judge.sq[id.control,v])
}
rownames(balance) <- colnames(judge.sq)
colnames(balance) <- c("mean of treated before matching","mean of controled before matching",
"mean of treated after matching","mean of controled after matching")
write.csv(balance,"../result/balance.csv")
dif <- abs(balance[,1]-balance[,2])[1:15]
worst <- which(dif==max(dif))

# exactly matched variables
perfect <- rep(0,ncol(judge.sq))
for(v in 1:ncol(judge.sq)){
v.treat <- judge.sq[id.treat,v]
v.control <- judge.sq[id.control,v]
diff <- v.treat - v.control
if((summary(diff)[1]==0)&
(summary(diff)[6]==0)){
perfect[v] <- 1
}
}




