########################################
# boot strap after matching

nobs <- nrow(judge.match)
boot <- 1000
npar <- length(Left.out$par)
boot.out <- boot.wrong.out <- matrix(NA,boot,npar)
start <- date()

set.seed(8162007)
npairs <- nobs/2 
for (b in 1:boot){
obs.b <- sample(1:npairs,npairs,replace=T)
judge.b <- judge.match[c(obs.b,(obs.b+npairs)),]
attach(judge.b)
try(boot.out[b,] <- main.left(NY2S1 ~ nyjl + nFstTok + nflunk + neliteu + A1959 + A1960 + A1961 + A1962 + A1963 + A1964 + A1965 + A1966 + A1967,
                     delta ~ nyjl + nFstTok + nflunk + neliteu + A1959 + A1960 + A1961 + A1962 + A1963 + A1964 + A1965 + A1966 + A1967,
                     begin)$par)
detach(judge.b)
if(b%%10==0){
cat(b, "th","\n")
save.image("match.boot.Rdata")
}
}
ending <- date()
start
ending