source("basic.r")

# data correction
change <- c(1102,1127,1220,1285,1334,1574,1603)
for (i in 1:length(change)){
judge[judge[,"id"]==change[i],"nyjl"] <- 1
}

# make interactions
judge.sq <- make.inter.mat(judge[,c(5:14,16:18,23:24)]) # year dummies, nflunk, elitedu, nFstTok, begin,strata
judge.sq <- cbind(judge.sq,judge[,c(16,23:24)]^2) # squares without binary variables
colnames(judge.sq)[121:123]  <- c("nflunk.sq","begin.sq", "idnum.sq")
judge.sq <- judge.sq[,c(1:15,61:123)] 